## leoclient2 0.6.0-1

=== Makefile ===
#!/usr/bin/make
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/sophomorix)
# Created by Rüdiger Beck (jeffbeck-at-web.de)
DESTDIR=

# Virtualbox
BIN=$(DESTDIR)/usr/bin
SBIN=$(DESTDIR)/usr/sbin
MENU=$(DESTDIR)/usr/share/menu
# configs
LEOCLIENTCONF=$(DESTDIR)/etc/leoclient2
VIRTCONF=$(DESTDIR)/etc/leovirtstarter2
USRSHAREDESKTOP=$(DESTDIR)/usr/share/leovirtstarter2/desktop
BIN=$(DESTDIR)/usr/bin
SBIN=$(DESTDIR)/usr/sbin
DESKTOP=$(DESTDIR)/usr/share/applications
ICON=$(DESTDIR)/usr/share/pixmaps
INIT=$(DESTDIR)/etc/init.d
ETC=$(DESTDIR)/etc/sudoers.d

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make leoclient2-leovirtstarter-client'
	@echo '      install virtualbox gui to start machines'
	@echo ' '
	@echo '   make leoclient2-leovirtstarter-server'
	@echo '      install preparation script on server'
	@echo ' '
	@echo '   make leoclient2-vm printer'
	@echo '      install pdf-file splitter and spooler'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make clean'
	@echo '      clean up stuff created by packaging'
	@echo ' '


default: 
	@echo 'Doing Nothing'


leoclient2-leovirtstarter-client:
	@echo '   * Installing the client script'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 gui/leovirtstarter2 $(BIN)
	@install -d -m0755 -oroot -groot $(SBIN)
	@install -oroot -groot --mode=0700 installer-scripts/leoclient2-init $(SBIN)
	@install -oroot -groot --mode=0700 installer-scripts/leoclient2-vm-move $(SBIN)
	@install -oroot -groot --mode=0700 installer-scripts/leoclient2-base-snapshot-renew $(SBIN)
	@echo '   * Installing the client configuration files'
	@install -d -oroot -groot --mode=0755 $(LEOCLIENTCONF)/machines
	@install -oroot -groot --mode=0644 conf/servers.conf  $(LEOCLIENTCONF)
	@echo '   * Installing sudoers stuff'
	@install -d -m0644 -oroot -groot $(ETC)
	@install -oroot -groot --mode=0440 sudoers/80-leoclient2 $(ETC)
	@echo '   * Installing unity dash entry'
	@install -d -m0755 -oroot -groot $(DESKTOP)
	@install -oroot -groot --mode=0644 gui/leovirtstarter2.desktop $(DESKTOP)
	@echo '   * Installing icon'
	@install -d -m0755 -oroot -groot $(ICON)
	@install -oroot -groot --mode=0644 gui/leovirtstarter2.png $(ICON)


leoclient2-leovirtstarter-server:
	@echo '   * Installing the server script'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 gui/leovirtstarter2-server $(BIN)
	@echo '   * Installing the server configuration file'
	@install -d -m755 -oroot -groot $(VIRTCONF)
	@install -oroot -groot --mode=0644 gui/leovirtstarter2-server.conf  $(VIRTCONF)




# build a package
deb:
	### deb
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in git. Have you done a dch -i?'
	@echo ''


clean:
	rm -rf  debian/leoclient2


leoclient2-vm-printer:
	@echo '   * Installing printer scripts'
	@install -d -m0755 -oroot -groot $(BIN)
	@install -oroot -groot --mode=0755 printer/run-vm-printer2-splitter $(BIN)
	@install -oroot -groot --mode=0755 printer/run-vm-printer2-spooler $(BIN)
	@install -d -m755 -oroot -groot $(LEOCLIENTCONF)
	@install -oroot -groot --mode=0644 printer/leoclient-vm-printer2.conf  $(LEOCLIENTCONF)
	@install -d -m755 -oroot -groot $(USRSHAREDESKTOP)
	@install -oroot -groot --mode=0644 printer/leoclient2-spooler.desktop  $(USRSHAREDESKTOP)
	@install -oroot -groot --mode=0644 printer/leoclient2-splitter.desktop  $(USRSHAREDESKTOP)

=== debian/changelog ===
leoclient2 (0.6.0-1) trusty; urgency=medium

  * added files for autostart

 -- Ruediger Beck <bz@j1010p02>  Mon, 15 May 2017 17:58:50 +0200

leoclient2 (0.5.9-4) xenial; urgency=medium

  * Typout fixed, dumper with better organised output, no dep for virtualbox

 -- Ruediger Beck <bz@c0144p01.bszleo.de>  Fri, 30 Sep 2016 13:12:52 +0200

leoclient2 (0.5.8-2) xenial-testing; urgency=medium

  * recognizing network card 

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 23 Sep 2016 16:25:24 +0200

leoclient2 (0.5.7-1) trusty-unstable; urgency=medium

  * fixed bug of starting remote vm's, code cleanup

 -- Ruediger Beck <bz@molly13.bszleo.de>  Mon, 07 Mar 2016 17:06:15 +0100

leoclient2 (0.5.5-1) trusty-testing; urgency=medium

  * Fixed Bug #484

 -- bz <bz@overpower>  Sun, 30 Aug 2015 12:36:27 +0200

leoclient2 (0.5.4-1) trusty-testing; urgency=medium

  * removed tmp/heimatverzeichnis stuff
  * Added empty dir for SERVERDIR mountpoint in postinst

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 19 Mar 2015 18:01:13 +0100

leoclient2 (0.5.3-1) trusty-testing; urgency=medium

  * Erweiterung von %all_vars

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Tue, 17 Mar 2015 12:40:10 +0100

leoclient2 (0.5.2-4) trusty-testing; urgency=medium

  * Korrektur für default bei leoclient2-vm-move

 -- Rainer Roessler <rainer@linuxmuster.net>  Fri, 13 Mar 2015 00:01:48 +0100

leoclient2 (0.5.2-3) trusty-testing; urgency=medium

  * Korrektur leoclient2-vm-move

 -- Rainer Roessler <rainer@linuxmuster.net>  Thu, 12 Mar 2015 22:50:46 +0100

leoclient2 (0.5.2-2) trusty-testing; urgency=medium

  * snapshot-zip beim erstellen und erneuern der vm durch 
	leovirtstarter2 --prepare-remote-vm $MACHINENAME 

 -- Rainer Roessler <rainer@linuxmuster.net>  Thu, 12 Mar 2015 20:21:16 +0100

leoclient2 (0.5.2-1) trusty-testing; urgency=medium

  * New upstream release

 -- jeff <bz@adler>  Mon, 02 Mar 2015 01:48:11 +0100

leoclient2 (0.5.1-1) trusty-testing; urgency=medium

  * New upstream release

 -- Ruediger Beck <bz@j1009p15.bszleo.de>  Thu, 26 Feb 2015 16:45:26 +0100

leoclient2 (0.5.0-1) trusty-testing; urgency=medium

  * New upstream. New datastructure added (partly)

 -- bz <bz@overpower>  Mon, 16 Feb 2015 11:54:37 +0100

leoclient2 (0.4.7-2) trusty; urgency=medium

  * Added dependency from virtualbox
  * Removed server package and bsz-client-bundle

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 12 Dec 2014 15:34:04 +0100

leoclient2 (0.4.6-1) trusty; urgency=medium

  * new upstream Release

 -- Ruediger Beck <bz@j1009p21.bszleo.de>  Thu, 11 Dec 2014 19:12:59 +0100

leoclient2 (0.4.5-1) trusty; urgency=medium

  * new upstream Release

 -- Ruediger Beck <bz@j1009p21.bszleo.de>  Thu, 11 Dec 2014 16:31:46 +0100

leoclient2 (0.4.4-1) trusty-unstable; urgency=medium

  * new upsteam Release

 -- Ruediger Beck <bz@j1010p16.bszleo.de>  Tue, 09 Dec 2014 15:36:53 +0100

leoclient2 (0.4.3-1) trusty-unstable; urgency=medium

  * Remove obsolete file /etc/sudoers.d/leoclient2

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Tue, 09 Dec 2014 14:31:52 +0100

leoclient2 (0.4.2-1) trusty-unstable; urgency=medium

  * new upsteam Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Tue, 09 Dec 2014 14:06:55 +0100

leoclient2 (0.4.1-1) trusty-unstable; urgency=medium

  * new upsteam Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 05 Dec 2014 16:33:53 +0100

leoclient2 (0.4.0-1) trusty-unstable; urgency=medium

  * new upsteam Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 05 Dec 2014 14:53:30 +0100

leoclient2 (0.2.7-1) trusty-unstable; urgency=medium

  * new upstream

 -- Ruediger Beck <bz@molly02.bszleo.de>  Thu, 13 Nov 2014 17:01:04 +0100

leoclient2 (0.2.6-1) trusty-unstable; urgency=medium

  * use image.conf in VM dir to access VM or not (host/room/user/group)

 -- Ruediger Beck <bz@c0144p01.bszleo.de>  Mon, 13 Oct 2014 15:51:14 +0200

leoclient2 (0.2.5-1) trusty-unstable; urgency=medium

  * New Release that boots remote vm's

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 09 Oct 2014 15:50:33 +0200

leoclient2 (0.2.4-1) trusty-unstable; urgency=medium

  * New Release with lots of extensions

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 02 Oct 2014 16:36:52 +0200

leoclient2 (0.1.1-3) trusty-testing; urgency=medium

  * New Release 

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 12 Sep 2014 19:20:22 +0200

leoclient2 (0.1.1-2) trusty-testing; urgency=medium

  * New Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 12 Sep 2014 18:08:33 +0200

leoclient2 (0.1.0-1) trusty-testing; urgency=medium

  * New Release. Starts leoclient version 1 snapshots 

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 14 Aug 2014 13:32:29 +0200

leoclient2 (0.0.8-1) trusty-testing; urgency=medium

  * New Release with included conf and pm

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 14 Aug 2014 12:10:33 +0200

leoclient2 (0.0.7-1) trusty-testing; urgency=medium

  * New Release with option --info and --virtulbox

 -- bz <bz@overpower>  Mon, 11 Aug 2014 00:06:43 +0200

leoclient2 (0.0.6-1) trusty-testing; urgency=medium

  * New Release with sudoers script for login or leovirtstarter

 -- bz <bz@overpower>  Sun, 10 Aug 2014 23:29:45 +0200

leoclient2 (0.0.5-1) trusty-testing; urgency=low

  * New Release with fixed early bugs

 -- root <root@bszleo.de>  Thu, 07 Aug 2014 14:49:49 +0200

leoclient2 (0.0.4-1) trusty-testing; urgency=low

  * New Release with installer scripts

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 07 Aug 2014 12:10:28 +0200

leoclient2 (0.0.3-1) trusty-testing; urgency=medium

  * New Release

 -- bz <bz@overpower>  Fri, 25 Jul 2014 11:26:05 +0200

leoclient2 (0.0.2-1) trusty-testing; urgency=medium

  * New Release

 -- bz <bz@overpower>  Fri, 11 Jul 2014 00:04:42 +0200

leoclient2 (0.0.1-1) trusty-testing; urgency=medium

  * First Revision

 -- bz <bz@overpower>  Thu, 10 Jul 2014 02:17:02 +0200

=== debian/control ===
Source: leoclient2
Section: admin
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper , perl-base, fakeroot
Standards-Version: 3.5.2



Package: leoclient2-leovirtstarter-client
Architecture: all
Suggests: 
Depends: libfilesys-df-perl, liblog-log4perl-perl, zenity, libio-interface-perl, rsync, libglib-perl, libgtk2-perl 
Description: alternativ software to start VirtualBox
 leovirtstarter2 copies and caches VirtualBox snapshots and starts
 them


#Package: leoclient2-leovirtstarter-server
#Architecture: all
#Suggests: 
#Pre-Depends:
#Depends:
#Description: prepare snapshots for leovirtstarter-client 
# leovirtstarter-server compresses snapshots and determines theis sizes and 
# syncs them to other servers



Package: leoclient2-vm-printer
Architecture: all
Suggests: 
Pre-Depends:
Depends: liblinux-inotify2-perl, liblog-log4perl-perl
Description: Watches a directory used for virtual machine printing. 
 Sends the created files to the default printer



#Package: leoclient2-bsz-clientbundle
#Architecture: all
#Suggests: 
#Pre-Depends:
#Depends: leoclient2-leovirtstarter-client, leoclient2-vm-printer, linuxmuster-c#lient-extras 
#Description: Complete bundle of packages at BSZ Leonberg

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/leoclient2
	$(MAKE) -B leoclient2-leovirtstarter-client DESTDIR=$(CURDIR)/debian/leoclient2
	$(MAKE) -B leoclient2-leovirtstarter-server DESTDIR=$(CURDIR)/debian/leoclient2
	$(MAKE) -B leoclient2-vm-printer DESTDIR=$(CURDIR)/debian/leoclient2

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
#	dh_installexamples
	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for leoclient
	#dh_installman -ppackage man/de/manpage
#	dh_undocumented
	dh_install --sourcedir=debian/leoclient2
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
